/*! © 2026 Yahoo, Inc. UDS Tailwind and Purger v0.0.0-development */
const require_index = require('../../fixtures/dist/index.cjs');
const require_index$1 = require('../../css-tokens/dist/index.cjs');
const require_entries = require('../../utils/entries.cjs');
const require_fromEntries = require('../../utils/fromEntries.cjs');

//#region src/tailwind/utils/getMotionStyles.ts
/**
* Return CSS variables object based on the motion config.
* i.e. { --uds-motion-damped-1--damping: '20.585796264350424' }
*
* @example
* // 1. Use return value in style prop of an html element to assign motion variables at runtime
*
* const motionVars = getMotionStyles(motionConfig);
* <body style={motionVars}> {...} </body>
*
* // 2. Generate CSS at build time in tailwind plugin via addBase.
*
* const motionVars = getMotionStyles(motionConfig);
* addBase(motionVars);
*
*/
function getMotionStyles(motionConfig) {
	return require_fromEntries.fromEntries(require_entries.entries(motionConfig).flatMap(([variant, speeds]) => require_entries.entries(speeds).flatMap(([speed, config]) => {
		return require_index.motionSpringConfigOptions.map((control) => {
			return [require_index$1.getMotionVar({
				variant,
				speed,
				control
			}), `${config[control]}`];
		});
	})));
}

//#endregion
exports.getMotionStyles = getMotionStyles;